Get all
get
/fscmRestApi/resources/11.13.18.05/maintenanceForecasts
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey
Finder Variables- ForecastId; integer;
- PrimaryKey
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssetDescription; string
- AssetId; integer
- AssetLocation; string
- AssetLocationCode; string
- AssetNumber; string
- AssetOperatingOrgCode; string
- AssetOperatingOrgId; integer
- AssetSerialNumber; string
- CreatedBy; string
- CreationDate; string
- ForecastDueDate; string
- ForecastId; integer
- ForecastOrganizationCode; string
- ForecastOrganizationId; integer
- ForecastStatus; string
- ForecastStatusCode; string
- GlobalAssetsFlag; boolean
- ItemId; integer
- ItemNumber; string
- LastUpdateDate; string
- LastUpdatedBy; string
- MultipleForecastLinesFlag; boolean
- ProgramCode; string
- ProgramId; integer
- ProgramName; string
- ProgramOrganizationCode; string
- ProgramOrganizationId; integer
- ProgramReference; string
- ProgramSubType; string
- ProgramSubTypeCode; string
- ProgramType; string
- ProgramTypeCode; string
- RequestedWoOrganizationCode; string
- RequestedWoOrganizationId; integer
- RequestedWoStartDate; string
- RequirementName; string
- RootAssetId; integer
- RootAssetNumber; string
- SkipDueDateFlag; boolean
- WarrantyRepairFlag; boolean
- WorkOrderId; integer
- WorkOrderNumber; string
- WorkOrderOrganizationCode; string
- WorkOrderOrganizationId; integer
- WorkOrderStartDate; string
- WorkOrderStatus; string
- WorkOrderStatusCode; string
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : maintenanceForecasts
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceForecasts-item-response
Type:
Show Source
object-
AssetDescription: string
Title:
Asset DescriptionRead Only:trueMaximum Length:240 -
AssetId: integer
(int64)
Title:
Asset IDRead Only:true -
AssetLocation: string
Title:
Asset LocationRead Only:trueMaximum Length:80 -
AssetLocationCode: string
Title:
Location Organization CodeRead Only:trueMaximum Length:80 -
AssetNumber: string
Title:
Asset NumberRead Only:trueMaximum Length:80 -
AssetOperatingOrgCode: string
Title:
Operating OrganizationRead Only:trueMaximum Length:18 -
AssetOperatingOrgId: integer
(int64)
Title:
Operating Organization IDRead Only:true -
AssetSerialNumber: string
Title:
Serial NumberRead Only:trueMaximum Length:80 -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
ForecastDueDate: string
(date)
Title:
Due DateRead Only:true -
ForecastId: integer
(int64)
Title:
Forecast IdRead Only:true -
forecastLines: array
Forecast Lines
Title:
Forecast Lines -
ForecastOrganizationCode: string
Title:
Forecast OrganizationRead Only:trueMaximum Length:18 -
ForecastOrganizationId: integer
(int64)
Title:
Forecast Organization ID -
ForecastStatus: string
Title:
Forecast StatusRead Only:trueMaximum Length:255 -
ForecastStatusCode: string
Title:
Forecast Status CodeRead Only:trueMaximum Length:255 -
GlobalAssetsFlag: boolean
Title:
Allow assets from other organizationsRead Only:trueMaximum Length:1 -
ItemId: integer
(int64)
Title:
Item IDRead Only:true -
ItemNumber: string
Title:
Item NumberRead Only:trueMaximum Length:300 -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MultipleForecastLinesFlag: boolean
Title:
Work Requirement NameRead Only:trueMaximum Length:255 -
ProgramCode: string
Title:
CodeRead Only:trueMaximum Length:30 -
ProgramId: integer
(int64)
Title:
Program IdRead Only:true -
ProgramName: string
Title:
Program NameRead Only:trueMaximum Length:120 -
ProgramOrganizationCode: string
Title:
Program OrganizationRead Only:trueMaximum Length:18 -
ProgramOrganizationId: integer
(int64)
Title:
Program Organization IDRead Only:true -
ProgramReference: string
Title:
Program ReferenceRead Only:trueMaximum Length:80 -
ProgramSubType: string
Title:
Program SubtypeRead Only:trueMaximum Length:80 -
ProgramSubTypeCode: string
Title:
Program Subtype CodeRead Only:trueMaximum Length:30 -
ProgramType: string
Title:
Program TypeRead Only:trueMaximum Length:80 -
ProgramTypeCode: string
Title:
Program Type CodeRead Only:trueMaximum Length:30 -
RequestedWoOrganizationCode: string
Title:
Requested OrganizationRead Only:trueMaximum Length:18 -
RequestedWoOrganizationId: integer
(int64)
Title:
Requested Organization Id -
RequestedWoStartDate: string
(date-time)
Title:
Requested Start Date -
RequirementName: string
Read Only:
trueMaximum Length:255 -
RootAssetId: integer
(int64)
Title:
Root Asset IDRead Only:true -
RootAssetNumber: string
Title:
Root Asset NumberRead Only:trueMaximum Length:80 -
SkipDueDateFlag: boolean
Title:
Skip Due DateMaximum Length:1 -
WarrantyRepairFlag: boolean
Title:
Warranty RepairRead Only:trueMaximum Length:1 -
WorkOrderId: integer
(int64)
Title:
Work Order ID -
WorkOrderNumber: string
Title:
Work Order NumberRead Only:trueMaximum Length:120 -
WorkOrderOrganizationCode: string
Title:
Work Order OrganizationRead Only:trueMaximum Length:18 -
WorkOrderOrganizationId: integer
(int64)
Title:
Work Order Organization IdRead Only:true -
WorkOrderStartDate: string
(date-time)
Title:
Work Order Planned Start DateRead Only:true -
WorkOrderStatus: string
Title:
Work Order StatusRead Only:trueMaximum Length:120 -
WorkOrderStatusCode: string
Title:
Work Order Status CodeRead Only:trueMaximum Length:30
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceForecasts-forecastLines-item-response
Type:
Show Source
object-
CalendarPattern: string
Title:
Calendar PatternRead Only:trueMaximum Length:120 -
CalendarPatternId: integer
(int64)
Title:
Calendar Pattern ID -
CreateWoOption: string
Title:
Create Work Orders OptionRead Only:trueMaximum Length:80 -
CreateWorkOrderOptionCode: string
Title:
Create Work Orders Option CodeRead Only:trueMaximum Length:30Default Value:ORA_AUTOMATIC -
DayIntervalValue: number
Title:
Day Interval -
DueAtCycleInterval: number
Title:
Due at Cycle Interval -
DueAtMeterReading: number
Title:
Due at Meter Reading -
ForecastDueDate: string
(date)
Title:
Due Date -
ForecastId: integer
(int64)
Title:
Forecast IdRead Only:true -
ForecastInterval: string
Title:
Forecast IntervalRead Only:trueMaximum Length:255 -
ForecastLineId: integer
(int64)
Read Only:
true -
ForecastMethod: string
Title:
Forecast MethodRead Only:trueMaximum Length:255 -
ForecastNextDueBy: string
Title:
Next Due Date MethodRead Only:trueMaximum Length:255 -
ForecastNextDueByCode: string
Title:
Next Due Date CodeRead Only:trueMaximum Length:255 -
ForecastUsingCycleFlag: boolean
Title:
Forecast using a cycleRead Only:trueMaximum Length:1 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MeterDailyRate: number
Title:
Meter Daily Rate -
MeterId: integer
(int64)
Title:
Meter ID -
MeterName: string
Title:
Meter NameRead Only:trueMaximum Length:120 -
NextWorkOrderOnlyFlag: boolean
Title:
Next work order onlyMaximum Length:1 -
NumberOfIntervals: number
Title:
Number of Intervals per CycleRead Only:true -
RequirementEndDate: string
(date)
Title:
End DateRead Only:true -
RequirementId: integer
(int64)
Title:
Work Requirement -
RequirementName: string
Title:
Work Requirement NameRead Only:trueMaximum Length:120 -
RequirementReference: string
Title:
Requirement ReferenceRead Only:trueMaximum Length:80 -
RequirementStartDate: string
(date)
Title:
Start DateRead Only:true -
RequirementType: string
Title:
TypeRead Only:trueMaximum Length:80 -
RequirementTypeCode: string
Title:
TypeRead Only:trueMaximum Length:30 -
SuppressFlag: boolean
Title:
SuppressRead Only:trueMaximum Length:1 -
WorkDefinitionCode: string
Title:
CodeRead Only:trueMaximum Length:30 -
WorkDefinitionDescription: string
Title:
DescriptionRead Only:trueMaximum Length:240 -
WorkDefinitionId: integer
(int64)
Title:
Work DefinitionRead Only:true -
WorkDefinitionName: string
Title:
NameRead Only:trueMaximum Length:120 -
WorkDefinitionVersion: string
Title:
VersionRead Only:trueMaximum Length:10
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- generateWorkRequirementForecasts
- manageForecastWorkOrders
Examples
This example describes how to get all forecast due dates for maintenance programs.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/maintenanceForecasts"
Example Response Body
The following example includes the contents of the response body
in JSON format:
{
"items": [
{
"ForecastId": 20354,
"ForecastStatusCode": "ORA_PLANNED",
"ForecastStatus": "Planned",
"ProgramOrganizationId": 300100113363336,
"ProgramOrganizationCode": "OPS_ORG_A",
"ProgramId": 300100583272981,
"ProgramCode": "MAINTENANCE_PROGRAM",
"ProgramName": "MAINTENANCE_PROGRAM",
"ProgramTypeCode": "ORA_MAINTENANCE",
"ProgramType": "Maintenance",
"ProgramSubTypeCode": "Subtype 1",
"ProgramSubType": "Subtype 1 M",
"ProgramReference": "PREF123",
"GlobalAssetsFlag": true,
"RequirementName": "ACO_WR_1",
"ItemId": 300100581367310,
"ItemNumber": "ALM-MX-ITEM-001",
"AssetId": 300100581367872,
"AssetNumber": "ALM_ASSET_002",
"AssetDescription": "ALM-MX-ITEM-001-DESC",
"AssetSerialNumber": "ALM_ASSET_002",
"AssetOperatingOrgId": 300100113363336,
"AssetOperatingOrgCode": "OPS_ORG_A",
"AssetLocationCode": "ORA_UNKNOWN",
"AssetLocation": "Unknown",
"RootAssetId": 300100581367872,
"RootAssetNumber": "ALM_ASSET_002",
"ForecastDueDate": "2023-08-08",
"SkipDueDateFlag": false,
"ForecastOrganizationId": 300100113363336,
"ForecastOrganizationCode": "OPS_ORG_A",
"RequestedWoStartDate": null,
"RequestedWoOrganizationId": 300100113363336,
"RequestedWoOrganizationCode": "OPS_ORG_A",
"WorkOrderId": null,
"WorkOrderNumber": null,
"WorkOrderOrganizationId": null,
"WorkOrderOrganizationCode": null,
"WorkOrderStartDate": null,
"WorkOrderStatusCode": null,
"WorkOrderStatus": null,
"WarrantyRepairFlag": false,
"CreatedBy": "MNT_QA",
"CreationDate": "2023-08-01T20:46:40+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-08-01T20:46:40+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20354",
"name": "maintenanceForecasts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20354",
"name": "maintenanceForecasts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20354/child/forecastLines",
"name": "forecastLines",
"kind": "collection"
}
]
},
{
"ForecastId": 20355,
"ForecastStatusCode": "ORA_PLANNED",
"ForecastStatus": "Planned",
"ProgramOrganizationId": 300100113363336,
"ProgramOrganizationCode": "OPS_ORG_A",
"ProgramId": 300100583272981,
"ProgramCode": "MAINTENANCE_PROGRAM",
"ProgramName": "MAINTENANCE_PROGRAM",
"ProgramTypeCode": "ORA_MAINTENANCE",
"ProgramType": "Maintenance",
"ProgramSubTypeCode": "Subtype 1",
"ProgramSubType": "Subtype 1 M",
"ProgramReference": "PREF123",
"GlobalAssetsFlag": true,
"RequirementName": "ACO_WR_1",
"ItemId": 300100581367310,
"ItemNumber": "ALM-MX-ITEM-001",
"AssetId": 300100581367872,
"AssetNumber": "ALM_ASSET_002",
"AssetDescription": "ALM-MX-ITEM-001-DESC",
"AssetSerialNumber": "ALM_ASSET_002",
"AssetOperatingOrgId": 300100113363336,
"AssetOperatingOrgCode": "OPS_ORG_A",
"AssetLocationCode": "ORA_UNKNOWN",
"AssetLocation": "Unknown",
"RootAssetId": 300100581367872,
"RootAssetNumber": "ALM_ASSET_002",
"ForecastDueDate": "2023-08-15",
"SkipDueDateFlag": false,
"ForecastOrganizationId": 300100113363336,
"ForecastOrganizationCode": "OPS_ORG_A",
"RequestedWoStartDate": null,
"RequestedWoOrganizationId": 300100113363336,
"RequestedWoOrganizationCode": "OPS_ORG_A",
"WorkOrderId": null,
"WorkOrderNumber": null,
"WorkOrderOrganizationId": null,
"WorkOrderOrganizationCode": null,
"WorkOrderStartDate": null,
"WorkOrderStatusCode": null,
"WorkOrderStatus": null,
"WarrantyRepairFlag": false,
"CreatedBy": "MNT_QA",
"CreationDate": "2023-08-01T20:46:40+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-08-01T20:46:40+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20355",
"name": "maintenanceForecasts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20355",
"name": "maintenanceForecasts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20355/child/forecastLines",
"name": "forecastLines",
"kind": "collection"
}
]
},
{
"ForecastId": 20356,
"ForecastStatusCode": "ORA_PLANNED",
"ForecastStatus": "Planned",
"ProgramOrganizationId": 300100113363336,
"ProgramOrganizationCode": "OPS_ORG_A",
"ProgramId": 300100583272981,
"ProgramCode": "MAINTENANCE_PROGRAM",
"ProgramName": "MAINTENANCE_PROGRAM",
"ProgramTypeCode": "ORA_MAINTENANCE",
"ProgramType": "Maintenance",
"ProgramSubTypeCode": "Subtype 1",
"ProgramSubType": "Subtype 1 M",
"ProgramReference": "PREF123",
"GlobalAssetsFlag": true,
"RequirementName": "ACO_WR_1",
"ItemId": 300100581367310,
"ItemNumber": "ALM-MX-ITEM-001",
"AssetId": 300100581367872,
"AssetNumber": "ALM_ASSET_002",
"AssetDescription": "ALM-MX-ITEM-001-DESC",
"AssetSerialNumber": "ALM_ASSET_002",
"AssetOperatingOrgId": 300100113363336,
"AssetOperatingOrgCode": "OPS_ORG_A",
"AssetLocationCode": "ORA_UNKNOWN",
"AssetLocation": "Unknown",
"RootAssetId": 300100581367872,
"RootAssetNumber": "ALM_ASSET_002",
"ForecastDueDate": "2023-08-22",
"SkipDueDateFlag": false,
"ForecastOrganizationId": 300100113363336,
"ForecastOrganizationCode": "OPS_ORG_A",
"RequestedWoStartDate": null,
"RequestedWoOrganizationId": 300100113363336,
"RequestedWoOrganizationCode": "OPS_ORG_A",
"WorkOrderId": null,
"WorkOrderNumber": null,
"WorkOrderOrganizationId": null,
"WorkOrderOrganizationCode": null,
"WorkOrderStartDate": null,
"WorkOrderStatusCode": null,
"WorkOrderStatus": null,
"WarrantyRepairFlag": false,
"CreatedBy": "MNT_QA",
"CreationDate": "2023-08-01T20:46:40+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-08-01T20:46:40+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20356",
"name": "maintenanceForecasts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20356",
"name": "maintenanceForecasts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/maintenanceForecasts/20356/child/forecastLines",
"name": "forecastLines",
"kind": "collection"
}
]
}
]
}